API Guide Home (Online version only) |

# PhnPDPList Struct Reference

## Detailed Description

None of the PDP strings (like service string, dial string, passwords etc.) require null terminator and no need to count null terminator for the length.

PhnPDPList structure lists status of all the packet data profile slots

Definition at line 347 of file HsPhoneCDMATypes.h.

## Data Fields

- Boolean idx0_set
- Boolean idx1_set
- Boolean idx2_set
- Boolean idx3_set
- Boolean idx4_set
- Boolean idx5_set
- Boolean idx6_set
- Boolean idx7_set
- Boolean idx_RSVD8_set
- Boolean idx_RSVD9_set
- Boolean qnc_set
- Boolean active_idx_set
- UInt8 active_idx
- UInt8 idx0_uid [phnPDPUidLen]
- UInt8 idx1_uid [phnPDPUidLen]
- UInt8 idx2_uid [phnPDPUidLen]
- UInt8 idx3_uid [phnPDPUidLen]
- UInt8 idx4_uid [phnPDPUidLen]
- UInt8 idx5_uid [phnPDPUidLen]
- UInt8 idx6_uid [phnPDPUidLen]
- UInt8 idx7_uid [phnPDPUidLen]
- UInt8 idx_rsvd8_uid [phnPDPUidLen]
- UInt8 idx_rsvd9_uid [phnPDPUidLen]
- UInt8 qnc_uid [phnPDPUidLen]
- UInt8 num_stand_pdp_idxs
- UInt8 first_stand_pdp_idx
- UInt8 num_def_pdp_idxs
- UInt8 first_def_pdp_idx
- UInt8 num_tmp_pdp_idxs
- UInt8 first_tmp_pdp_idx

## Field Documentation

Boolean idx0_set

Boolean indicating if index contains a valid PDP in the modem.

Definition at line 350 of file HsPhoneCDMATypes.h.

Boolean idx1_set

Boolean indicating if index contains a valid PDP in the modem.

Definition at line 353 of file HsPhoneCDMATypes.h.

Boolean idx2_set

Boolean indicating if index contains a valid PDP in the modem.

Definition at line 356 of file HsPhoneCDMATypes.h.

Boolean idx3_set

Boolean indicating if index contains a valid PDP in the modem.

Definition at line 359 of file HsPhoneCDMATypes.h.

Boolean idx4_set

Boolean indicating if index contains a valid PDP in the modem.

Definition at line 362 of file HsPhoneCDMATypes.h.

Boolean idx5_set

Boolean indicating if index contains a valid PDP in the modem.

Definition at line 365 of file HsPhoneCDMATypes.h.

Boolean idx6_set

Boolean indicating if index contains a valid PDP in the modem.

Definition at line 368 of file HsPhoneCDMATypes.h.

Boolean idx7_set

Boolean indicating if index contains a valid PDP in the modem.

Definition at line 371 of file HsPhoneCDMATypes.h.

Boolean idx_RSVD8_set

Reserved field.

Definition at line 374 of file HsPhoneCDMATypes.h.

Boolean idx_RSVD9_set

Reserved field.

Definition at line 377 of file HsPhoneCDMATypes.h.

Boolean qnc_set

Boolean indicating if a valid QNC profile is stored in the modem.

Definition at line 380 of file HsPhoneCDMATypes.h.

Boolean active_idx_set

Boolean indicating if there is currently an active index set in the modem.

Definition at line 383 of file HsPhoneCDMATypes.h.

UInt8 active_idx

Indication of which index is currently the active index in the modem if ACTIVE_IDX_SET.

Definition at line 387 of file HsPhoneCDMATypes.h.

UInt8 idx0_uid[phnPDPUidLen]

The Unique ID for the PDP stored in index if index is set.

Definition at line 391 of file HsPhoneCDMATypes.h.

UInt8 idx1_uid[phnPDPUidLen]

The Unique ID for the PDP stored in index if index is set.

Definition at line 394 of file HsPhoneCDMATypes.h.

UInt8 idx2_uid[phnPDPUidLen]

The Unique ID for the PDP stored in index if index is set.

Definition at line 397 of file HsPhoneCDMATypes.h.

UInt8 idx3_uid[phnPDPUidLen]

The Unique ID for the PDP stored in index if index is set.

Definition at line 400 of file HsPhoneCDMATypes.h.

UInt8 idx4_uid[phnPDPUidLen]

The Unique ID for the PDP stored in index if index is set.

Definition at line 403 of file HsPhoneCDMATypes.h.

UInt8 idx5_uid[phnPDPUidLen]

The Unique ID for the PDP stored in index if index is set.

Definition at line 406 of file HsPhoneCDMATypes.h.

UInt8 idx6_uid[phnPDPUidLen]

The Unique ID for the PDP stored in index if index is set.

Definition at line 409 of file HsPhoneCDMATypes.h.

UInt8 idx7_uid[phnPDPUidLen]

The Unique ID for the PDP stored in index if index is set.

Definition at line 412 of file HsPhoneCDMATypes.h.

UInt8 idx_rsvd8_uid[phnPDPUidLen]

Reserved field.

Definition at line 415 of file HsPhoneCDMATypes.h.

UInt8 idx_rsvd9_uid[phnPDPUidLen]

Reserved field.

Definition at line 418 of file HsPhoneCDMATypes.h.

UInt8 qnc_uid[phnPDPUidLen]

The Unique ID for the QNC profile stored in the modem.

Definition at line 421 of file HsPhoneCDMATypes.h.

UInt8 num_stand_pdp_idxs

The number of standard PDPs in the modem.

Definition at line 424 of file HsPhoneCDMATypes.h.

UInt8 first_stand_pdp_idx

IF NUM_STAND_PDP_IDXS is greater than zero, indicates the first standard PDP index (assumes set of all standard PDP indexes are sequential).

Definition at line 427 of file HsPhoneCDMATypes.h.

UInt8 num_def_pdp_idxs

The number of default PDPs in the modem that cannot be modified by an IOTA session.

Definition at line 431 of file HsPhoneCDMATypes.h.

UInt8 first_def_pdp_idx

IF NUM_DEF_PDP_IDXS is greater than zero, indicates the first default PDP index (assumes set of all default PDP indexes are sequential).

Definition at line 435 of file HsPhoneCDMATypes.h.

UInt8 num_tmp_pdp_idxs

The Unique ID for the QNC profile stored in the modem.

Definition at line 439 of file HsPhoneCDMATypes.h.

UInt8 first_tmp_pdp_idx

IF NUM_TMP_PDP_IDXS is greater than zero, indicates the first default PDP index (assumes set of all default PDP indexes are sequential).

Definition at line 442 of file HsPhoneCDMATypes.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:24 2008 for Palm API Guide